<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xueyi</groupId>
        <artifactId>xueyi-common</artifactId>
        <version>2.5.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    
    <artifactId>xueyi-common-mqtt</artifactId>
	
    <description>
        xueyi-common-mqtt通信服务
    </description>

    <dependencies>
		
        <!-- SpringBoot Boot Mqtt -->
        <dependency>
            <groupId>org.eclipse.paho</groupId>
            <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
            <version>1.2.5</version>
        </dependency>


        <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-mqtt</artifactId>
            <version>6.1.0</version>
        </dependency>
        <!-- XueYi Common Core-->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-core</artifactId>
        </dependency>

        <!-- SpringBoot Mqtt -->
        <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-mqtt</artifactId>
            <version>5.5.14</version>
        </dependency>
        
    </dependencies>
</project>